Bug 102898 - Files in %{_javadocdir} not automatically marked as documentation
Files in %{_javadocdir} not automatically marked as documentation
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 10:11 EDT by Ville Skyttä
Modified: 2007-03-27 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 12:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mark files in %{_javadocdir} as documentation (untested) (641 bytes, patch)
2003-08-22 10:12 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2003-08-22 10:11:55 EDT
For consistency with %{_docdir} and friends, I'd expect files in %{_javadocdir}
to be automatically marked as documentation.  Will attach a quick patch against
current rpm CVS HEAD.
Comment 1 Ville Skyttä 2003-08-22 10:12:43 EDT
Created attachment 93859 [details]
Mark files in %{_javadocdir} as documentation (untested)
Comment 2 Jeff Johnson 2003-12-27 12:53:17 EST
Added in CVS, should be in rpm-4.2.2-0.8 and later.

Thanks for noticing and the patch.
Comment 3 John Flanagan 2004-05-12 00:27:22 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-098.html

Note You need to log in before you can comment on or make changes to this bug.